/* vim: set et sw=2: */

#define GTK_DISABLE_DEPRECATED
#define G_DISABLE_DEPRECATED

#include "gpager.h"

int
main (int argc, char **argv)
{
  GConfClient *client;

  gtk_init (&argc, &argv);

  client = gconf_client_get_default ();

  gconf_client_add_dir (client, "/apps/gpager",
                        GCONF_CLIENT_PRELOAD_ONELEVEL, NULL);
  gconf_client_add_dir (client, "/apps/metacity/general/num_workspaces",
                        GCONF_CLIENT_PRELOAD_ONELEVEL, NULL);

  gtk_widget_show_all (gpager_create (client));
  
  gtk_main ();

  /* detach from the GConf server */
  g_object_unref (G_OBJECT (client));
  
  return 0;
}

