/* vim: set et sw=2 ts=4: */

#include <gtk/gtk.h>
#include <gconf/gconf-client.h>

typedef struct {
  guint rows;
  guint workspaces;
  guint pos_x;
  guint pos_y;
  guint width;
  guint height;
  guint border_width;
  gboolean keep_aspect;
  gboolean dynamic_rows;
  gboolean keep_above;
} GpagerConfig;

GtkWidget* gpager_create (GConfClient *client);

void gpager_redraw ();

void gpager_update_geometry ();

void gpager_set_border_width (guint width);

void gpager_keep_above (gboolean setting);

